const prefix = '/api/admin'

export default {
  image: {
    upload: {
      url: `${prefix}/antd/image`,
      method: 'POST',
    }
  },
  user: {
    current: {
      method: 'GET',
      url: `${prefix}/taUser/current`,
    },
    signin: {
      method: 'POST',
      url: `${prefix}/taUser/signin`,
    },
  },
  building: {
    getList: {
      method: 'GET',
      url: `${prefix}/buildinglist`,
    },
  },
  buildingType: {
    getList: {
      method: 'GET',
      url: `${prefix}/tdBuildingType`,
    },
    delete: {
      method: 'DELETE',
      url: `${prefix}/tdBuildingType/id`,
    },
    update: {
      method: 'PUT',
      url: `${prefix}/tdBuildingType/id`,
    },
    add: {
      method: 'POST',
      url: `${prefix}/tdBuildingType`,
    },
    getById: {
      method: 'GET',
      url: `${prefix}/tdBuildingType/id`,
    },
  },
  news: {
    getList: {
      method: 'GET',
      url: `${prefix}/taNews`,
    },
  },
  customer: {
    drift: {
      method: 'GET',
      url: `${prefix}/customer/recommend/drift`,
    },
    report: {
      method: 'GET',
      url: `${prefix}/customer/recommend/report`,
    },
    recommender: {
      method: 'GET',
      url: `${prefix}/customer/recommend/recommender`,
    },
    auto: {
      method: 'PUT',
      url: `${prefix}/customer/recommend/verify/id`,
    },
    recommendGetById: {
      method: 'GET',
      url: `${prefix}/customer/recommend/getById/id`,
    },
    agents: {
      method: 'GET',
      url: `${prefix}/customer/agents`,
    },
    customerRecommend: {
      method: 'GET',
      url: `${prefix}/customer/recommend`,
    },
    consultant: {
      method: 'GET',
      url: `${prefix}/consultant`,
    },
    recommendEdit: {
      method: 'PUT',
      url: `${prefix}/customer/recommend/edit/id`,
    },
    taPointsRecords: {
      method: 'GET',
      url: `${prefix}/mine/taPointsRecords/id`,
    },
    recommend: {
      method: 'GET',
      url: `${prefix}/customer/recommend/id`,
    },
  },
}
